PPL: Parma_Polyhedra_Library::Linear_Expression_Interface::const_iterator_interface Class Reference

PPL 1.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
Parma_Polyhedra_Library::Linear_Expression_Interface::const_iterator_interface Class Referenceabstract

`#include <ppl.hh>`

## Public Member Functions
virtual const_iterator_interface * | clone () const =0
virtual void | operator++ ()=0
virtual void | operator-- ()=0
virtual reference | operator* () const =0
| Returns the current element.
virtual Variable | variable () const =0
| Returns the variable of the coefficient pointed to by `*this`. More...
virtual bool | operator== (const const_iterator_interface &x) const =0
| Compares `*this` with x . More...

## Detailed Description

An interface for const iterators on the expression (homogeneous) coefficients that are nonzero.

These iterators are invalidated by operations that modify the expression.

## Member Function Documentation

virtual const_iterator_interface* Parma_Polyhedra_Library::Linear_Expression_Interface::const_iterator_interface::clone | ( |  | ) | const
| pure virtual

Returns a copy of *this. This returns a pointer to dynamic-allocated memory. The caller has the duty to free the memory when it's not needed anymore.

virtual void Parma_Polyhedra_Library::Linear_Expression_Interface::const_iterator_interface::operator++ | ( |  | ) |
| pure virtual

Navigates to the next nonzero coefficient. Note that this method does *not* return a reference, to increase efficiency since it's virtual.

virtual void Parma_Polyhedra_Library::Linear_Expression_Interface::const_iterator_interface::operator-- | ( |  | ) |
| pure virtual

Navigates to the previous nonzero coefficient. Note that this method does *not* return a reference, to increase efficiency since it's virtual.

virtual Variable Parma_Polyhedra_Library::Linear_Expression_Interface::const_iterator_interface::variable | ( |  | ) | const
| pure virtual

Returns the variable of the coefficient pointed to by `*this`.

Returns
  the variable of the coefficient pointed to by `*this`.

virtual bool Parma_Polyhedra_Library::Linear_Expression_Interface::const_iterator_interface::operator== | ( | const const_iterator_interface & | x | ) | const
| pure virtual

Compares `*this` with x .

Parameters

  x | The iterator that will be compared with *this.

The documentation for this class was generated from the following file:

- ppl.hh